module FixnumExtensions
  module InstanceMethods
    def closest_fibonacci
      raise "No closest lower Fibonacci for integer < 2" if self < 2

      last_n = 1
      n = 1
      acc = 0

      while acc < self
        n = acc
        acc = n + last_n
        last_n = n 
      end

      last_n
    end
  end
end
